Enectiva REST API - Librarian
Home
EnectivaUser ManualEnerfis
Home
EnectivaUser ManualEnerfis
  1. Profiles from Enectiva
  • Introduction
  • Access tokens
    • Create a new access token
      POST
  • Data points from Enectiva
    • List data points of a data series
      GET
  • Deltas
    • Introduction to Deltas
    • List monthly deltas of an entity
      GET
    • List monthly deltas of a meter
      GET
    • List monthly deltas of a virtual meter
      GET
  • Data points to Enectiva
    • Latest data point
      GET
    • Create a new data point
      POST
    • Delete a data point by ID
      DELETE
    • Delete a data point by time
      DELETE
  • Profiles to Enectiva
    • Latest profile
      GET
    • Create a new/update an existing profile
      POST
    • Delete a profile by ID
      DELETE
    • Delete a profile by time range
      DELETE
  • Readings to Enectiva
    • Latest reading
      GET
    • Create a new reading
      POST
    • Delete a reading by ID
      DELETE
    • Delete a reading by time
      DELETE
  • Readings from Enectiva
    • List readings of a meter
      GET
  • Entities from Enectiva
    • Entity
      GET
    • List entities
      GET
  • Meters from Enectiva
    • List meters
    • Meter
  • Received energy invoices
    • Create a new invoice
  • Profiles from Enectiva
    • List profiles of a meter
      GET
  1. Profiles from Enectiva

List profiles of a meter

Developing
GET
https://api.enectiva.cz//import/profiles/{customerUuid}/{meterIdentification}/profiles
Last modified:2026-06-15 13:43:16
This action allows to list profiles of a single meter. Values are in the default unit of corresponding energy. The values can be sorted, the default order is chronological.
The number of returned records is by default limited to 1000, see Limit & pagination for details. If more records satisfy your temporal filter, you can either keep the filter and paginate over the result set using the page parameter, or narrow down the filter with each request.

Request

Authorization
or
Path Params

Query Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --globoff 'https://api.enectiva.cz//import/profiles/Customer UUID/See [meter identification](apidog://link/pages/1363538?filter=undefined&unit=&sort=&limit=&page=undefined&deactivated=undefined#meter-identification)/profiles'

Responses

🟢200Success
application/json
Bodyapplication/json

Examples
{
    "data": [
        {
            "type": "profiles",
            "id": "123",
            "attributes": {
                "from": "2019-10-01T00:00:00Z",
                "to": "2019-10-02T00:00:00Z",
                "value": 15,
                "unit": "kWh"
            }
        },
        {
            "type": "profiles",
            "id": "124",
            "attributes": {
                "from": "2019-10-02T00:00:00Z",
                "to": "2019-10-03T00:00:00Z",
                "value": 18,
                "unit": "kWh"
            }
        }
    ]
}
🟠400Bad Request
🟠401Unauthorized
🟠403Forbidden
🟠404Record Not Found
Modified at 2026-06-15 13:43:16
Previous
Create a new invoice
Built with